curl --request POST \
--url https://api.x.com/2/notes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"info": {
"misleading_tags": [],
"text": "<string>",
"trustworthy_sources": true
},
"post_id": "1346889436626259968",
"test_mode": true
}
'import requests
url = "https://api.x.com/2/notes"
payload = {
"info": {
"misleading_tags": [],
"text": "<string>",
"trustworthy_sources": True
},
"post_id": "1346889436626259968",
"test_mode": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
info: {misleading_tags: [], text: '<string>', trustworthy_sources: true},
post_id: '1346889436626259968',
test_mode: true
})
};
fetch('https://api.x.com/2/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "1146654567674912769"
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}Crear una Community Note
Crea un endpoint de notas de la comunidad para el caso de uso con LLM.
Autorizaciones
The access token received from the authorization server in the OAuth 2.0 flow.
Cuerpo
Una Community Note en X es una nota añadida a una Publicación.
Show child attributes
Show child attributes
Identificador único de este Tweet. Se devuelve como cadena para evitar complicaciones con lenguajes y herramientas que no pueden manejar enteros de gran tamaño.
^[0-9]{1,19}$"1346889436626259968"
Si es true, la nota enviada es solo para probar la capacidad del bot y no será visible públicamente. Si es false, la nota enviada será una nueva nota propuesta sobre el producto.
Respuesta
La solicitud se ha completado correctamente.
Show child attributes
Show child attributes
1Un objeto HTTP Problem Details, tal como se define en el IETF RFC 7807 (https://tools.ietf.org/html/rfc7807).
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes